Subject: Re: linux-next: manual merge of the akpm-current tree with the userns tree

From: [email-masked] (Eric W. Biederman)
Date: Mon, 11 Oct 2021 09:03:22 -0500

Stephen Rothwell <[email-masked]> writes:

> Hi all,
>
> Today's linux-next merge of the akpm-current tree got a conflict in:
>
>   kernel/exit.c
>
> between commits:
>
>   d67e03e36161 ("exit: Factor coredump_exit_mm out of exit_mm")
>   92307383082d ("coredump:  Don't perform any cleanups before dumping core")
>
> from the userns tree and commit:
>
>   27692e64c49c ("lazy tlb: introduce lazy mm refcount helper functions")
>
> from the akpm-current tree.
>
> I fixed it up (see below) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.

Thanks.  This looks like a trivial conflict, and the resolution looks
correct.

Eric